## python-junit-xml 1.9

=== Makefile ===
ACTIVATE=venv/bin/activate

venv: $(ACTIVATE)
$(ACTIVATE): requirements.txt requirements_dev.txt
	test -d venv || virtualenv venv
	. $(ACTIVATE); pip install -r requirements_dev.txt

.PHONY : dist
dist:
	python setup.py sdist bdist_wheel

.PHONY : clean
clean:
	find . -name "*.pyc" -delete
	find . -name "__pycache__" -delete
	rm -rf build
	rm -rf dist

## python-junit-xml 1.4

=== debian/changelog ===
python-junit-xml (1.4-1) unstable; urgency=low

  * Initial release (Closes: #791821)

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Jul 2015 13:21:56 -0400

=== debian/control ===
Source: python-junit-xml
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/kyrus/python-junit-xml
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-junit-xml.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-junit-xml.git/

Package: python-junit.xml
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: creates JUnit XML test result docs readable by tools such as Jenkins
 A Python module for creating JUnit XML test result documents that can be read
 by tools such as Jenkins. If you are ever working with test tool or test suite
 written in Python and want to take advantage of Jenkins’ pretty graphs and test
 reporting capabilities, this module will let you generate the XML test reports.

Package: python3-junit.xml
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: creates JUnit XML test result docs readable by tools such as Jenkins (py3k)
 A Python module for creating JUnit XML test result documents that can be read
 by tools such as Jenkins. If you are ever working with test tool or test suite
 written in Python and want to take advantage of Jenkins’ pretty graphs and test
 reporting capabilities, this module will let you generate the XML test reports.
 .
 This package contains the Python 3 version of junit_xml module .

## python-junit-xml 1.6

=== debian/changelog ===
python-junit-xml (1.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - adjust Vcs-Browser to DPMT standards

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Nov 2015 20:20:18 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.6
 Homepage: https://github.com/kyrus/python-junit-xml
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-junit-xml.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-junit-xml.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-junit-xml.git
 
 Package: python-junit.xml
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	python  setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-junit.xml
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-junit.xml

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/junit-xml/junit-xml-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-junit-xml 1.7

=== debian/changelog ===
python-junit-xml (1.7-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2016 21:03:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/kyrus/python-junit-xml
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-junit-xml.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-junit-xml.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-junit-xml.git
 
 Package: python-junit.xml

## python-junit-xml 1.8

=== debian/changelog ===
python-junit-xml (1.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python 2 support + use pybuild + add six to b-d, tests
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)
  * debian-copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Aug 2019 22:31:13 -0400

python-junit-xml (1.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Jun 2018 00:31:42 -0400

=== debian/control ===
Source: python-junit-xml
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-setuptools, python3-six
Standards-Version: 4.4.0
Homepage: https://github.com/kyrus/python-junit-xml
Vcs-Git: https://salsa.debian.org/python-team/modules/python-junit-xml.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-junit-xml

Package: python3-junit.xml
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: creates JUnit XML test result docs readable by tools such as Jenkins (py3k)
 A Python module for creating JUnit XML test result documents that can be read
 by tools such as Jenkins. If you are ever working with test tool or test suite
 written in Python and want to take advantage of Jenkins’ pretty graphs and test
 reporting capabilities, this module will let you generate the XML test reports.
 .
 This package contains the Python 3 version of junit_xml module .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-junit.xml

override_dh_installdocs:
	dh_installdocs -A README.rst

## python-junit-xml 1.9

=== debian/changelog ===
python-junit-xml (1.9-6) unstable; urgency=medium

  * Adopt package (Closes: #1055359)
  * Bump Standards-Version to 4.7.2; no changes needed
  * debian/control
    - List dependencies one per line
  * debian/copyright
    - Add upstream contact
    - Update copyright year
    - Update license designation from "MIT" to "Expat"
    - Rearrange the 'Files' and 'License' blocks

 -- Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>  Wed, 25 Jun 2025 07:40:00 -0600

python-junit-xml (1.9-5) unstable; urgency=medium

  * Ignore .egg-info diff (Closes: #1049232)

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Bastian Germann <bage@debian.org>  Sat, 04 Nov 2023 21:27:05 +0100

python-junit-xml (1.9-4) unstable; urgency=medium

  * Use pyproject for build

 -- Bastian Germann <bage@debian.org>  Sat, 15 Oct 2022 10:29:32 +0200

python-junit-xml (1.9-3) unstable; urgency=medium

  * Adopt package (Closes: #888216)

 -- Bastian Germann <bage@debian.org>  Wed, 06 Jul 2022 23:02:07 +0200

python-junit-xml (1.9-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 22:15:55 -0400

python-junit-xml (1.9-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Antonio Terceiro ]
  * New upstream version 1.9
    - Upstream did not publish a source release to pypi. The orig tarball
      used is taken from their git repository at ba89b41638df8ad2011c
    - Tests now pass under python 3.8 (Closes: #954517)
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0; no changes needed
  * debian/control: run tests with pytest. Upstream changed setup.py in a way
    that relying on setup.py test no longer works.
  * Add debian/tests/control to run testsuite under autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 13 Jul 2020 10:42:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,19 @@
 Source: python-junit-xml
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-setuptools, python3-six
-Standards-Version: 4.4.0
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>
+Build-Depends:
+    debhelper-compat (= 13),
+    python3-all:any,
+    pybuild-plugin-pyproject,
+    python3-setuptools,
+    python3-six,
+    python3-pytest
+Standards-Version: 4.7.2
 Homepage: https://github.com/kyrus/python-junit-xml
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-junit-xml.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-junit-xml
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-junit-xml.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-junit-xml
 
 Package: python3-junit.xml
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+export PYBUILD_TEST_PYTEST = 1
 
 override_dh_auto_install:
 	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-junit.xml

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/junit-xml/junit-xml-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
